Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.beanutils.converters
Class CharacterArrayConverter

    java.lang.Object
      org.apache.commons.beanutils.converters.AbstractArrayConverter
          org.apache.commons.beanutils.converters.CharacterArrayConverter

All Implemented Interfaces:
  Converter

Deprecated. Replaced by the new `ArrayConverter` implementation

    public final class CharacterArrayConverter

extends AbstractArrayConverter

Standard `Converter` implementation that converts an incoming String into a primitive array of char. On a conversion failure, returns a specified default value or throws a `ConversionException` depending on how this instance is constructed.

Since:
  1.4
Version:
  $Revision: 556229 $ $Date: 2007-07-14 07:11:19 +0100 (Sat, 14 Jul 2007) $
Author:
  Craig R. McClanahan

Field Summary

Fields inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter
`defaultValue, NO_DEFAULT, strings, useDefault`

Constructor Summary
`CharacterArrayConverter()` Deprecated. Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.
`CharacterArrayConverter(Object defaultValue)` Deprecated. Create a `Converter` that will return the specified default value if a conversion error occurs.

Method Summary
`Object` | `convert(Class type, Object value)` Deprecated. Convert the specified input object into an output object of the specified type.

Methods inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter
`parseElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharacterArrayConverter

    public CharacterArrayConverter()

  Deprecated.
  Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.

### CharacterArrayConverter

    public CharacterArrayConverter(Object defaultValue)

  Deprecated.
  Create a `Converter` that will return the specified default value if a conversion error occurs.

  Parameters:
    `defaultValue` - The default value to be returned

Method Detail

### convert

    public Object convert(Class type,
                          Object value)

  Deprecated.
  Convert the specified input object into an output object of the specified type.

  Specified by:
    `convert` in interface `Converter`
  Specified by:
    `convert` in class `AbstractArrayConverter`
  Parameters:
    `type` - Data type to which this value should be converted
    `value` - The input value to be converted
  Returns:
    the converted value
  Throws:
    `ConversionException` - if conversion cannot be performed successfully

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 The Apache Software Foundation. All Rights Reserved.